Subject: bug#44180: 28.0.50; Emacs frames won't redisplay unless resized

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 25 Oct 2020 11:26:23 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Eric Abrahamsen <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 25 Oct 2020 09:28:09 -0700
>> 
>> >> Before the breakage, it's possible that the non-visible frames were not
>> >> updated while they remained invisible, and I simply never knew because
>> >> I couldn't see them. Now they stay un-updated until I manipulate the
>> >> size of the window somehow.
>> >
>> > That seems to suggest that we don't trigger expose_frame calls anymore
>> > for the frames that become un-fontified?
>> 
>> I wouldn't know, but that certainly sounds likely. I'd be happy to try
>> contacting someone at i3, if that would be helpful, or to try fiddling
>> with the display code.
>
> What would help is if you put a breakpoint at expose_frame, and see
> how it is called when the changes made by the offending commit are
> reverted.  Please show which X event triggers that and with what
> parameters.  Then do the same with the offending changes in place, and
> try to figure out why the expose event doesn't get triggered.
>
> Armed with that info, we could try finding a way of having the cake
> and eating it, too.

Okay, got it. I won't have access to the misbehaving machine until
tomorrow, but will do this then. Maybe Sascha will beat me to it.